This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 466672 - Missing fontconfig scriplets
Missing fontconfig scriplets
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: un-core-fonts (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Jang
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-10-12 11:41 EDT by Nicolas Mailhot
Modified: 2009-06-26 00:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 00:22:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-10-12 11:41:48 EDT
The un-core-fonts-*-1.0.2-0.5.080608.fc10.noarch.rpm packages are missing the required scriplets to update fontconfig cache, resulting in broken out-of-the-box installation
Comment 2 Jens Petersen 2008-10-16 02:05:29 EDT
I see you added fontconfig .conf files.  Nicolas, dunno if you want to review those?

Dennis: Nicolas was asking for fc-cache scripting for the subpackages:

http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Fonts

it may be even better documented in the fonts packaging guidelines.

(Same goes for un-extra-fonts.)

ps You don't need to post changes for review after a package has been approved, though sometimes it is useful. :)
Comment 3 Nicolas Mailhot 2008-10-16 13:39:10 EDT
The scriplets are the same for subpackages as for plain packages and they're described there
https://bugzilla.redhat.com/show_bug.cgi?id=457709

(official location locked by FPC even I can't change without approval)

When you do subpackages you need to be careful to have each subpackage run the scriplets
Comment 4 Nicolas Mailhot 2008-10-16 13:40:52 EDT
Sorry I meant there
https://fedoraproject.org/wiki/Packaging/FontsSpecTemplate
Comment 5 Bug Zapper 2008-11-25 22:48:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.